Subject: Re: not updating unwritable cache ../config.cache
From: "Kai Henningsen" <[email-masked]>
To: [email-masked], Glenn Spell <[email-masked]>
Date: Tue, 5 Oct 1999 11:48:28 +0200

On 5 Oct 99, at 5:29, Glenn Spell wrote:

> On 5 Oct 1999 around 10:59AM (+0200) Kai Henningsen wrote:
> 
> > On 5 Oct 99, at 10:15, I wrote:
> >
> > > I'm seeing this every time I ./configure something. Anybody know
> > > what is going on?
> > > 
> > > Sure doesn't _look_ unwritable. Besides, the very same script
> > > just created it.
> 
> It's unwritable by anyone other the owner of the file.
> 
> > Well, it's "test -w" failing. Obviously because of this:
> > bash-2.02$ id
> > uid=1000(kai) gid=513(Kein) groups=513(Kein)
>       ^^^^
> > bash-2.02$ chmod a+w test
> 
> If you're using a recent snapshot, setting "ntsec" in your CYGWIN
> variable may cause chmod to work correctly. (I say "may" because I
> really don't know. I don't run NT.) Historically, chmod returns
> without error on Cygwin but does nothing.
> 
> > bash-2.02$ ls -la test
> > -rw-r--r-- 1 544 Kein 0 Oct 5 09:57 test
>                ^^^
> You (UID 1000) don't own the file, UID 544 (administrator) owns
> it. (I guess you already knew that. :-)

What I don't understand is how this happens. After all, I created the 
file. And I _can_ write to the file. Something is very wrong here.

> You need to login as administrator 

I don't consider that an option. Besides, I don't get any extra rights 
that way.

Regards - Kai Henningsen

-- 
http://www.cats.ms
Spuentrup CTI       Fon: +49 251 322311 0  
Windbreede 12       Fax: +49 251 322311 99
D-48157 Münster     Mob: +49 161 3223111
Germany             GSM: +49 171 7755060

--
Want to unsubscribe from this list?
Send a message to [email-masked]